classification
Title: dis.findlinestarts is missing from dis.__all__ and from the online documentation
Type: Stage:
Components: Documentation, Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: exarkun, georg.brandl, loewis
Priority: normal Keywords:

Created on 2008-10-28 17:16 by exarkun, last changed 2009-01-01 12:10 by georg.brandl. This issue is now closed.

Messages (3)
msg75291 - (view) Author: Jean-Paul Calderone (exarkun) * (Python committer) Date: 2008-10-28 17:16
There aren't many high-ish level APIs for dealing with lnotab. 
dis.findlinestarts is one, but it's not clear if it's private or public.
 If it's public, it'd be great to make it clear that it is and document
it.  If it's not, perhaps it should be renamed _findlinestarts.
msg77495 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-12-10 08:31
Such a change is out of scope for maintenance releases (in any case, no
resolution has been proposed, yet).
msg78701 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-01-01 12:10
Documented dis.findlinestarts() and put it into dis.__all__ in r68119.
History
Date User Action Args
2009-01-01 12:10:03georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg78701
2008-12-10 08:31:49loewissetnosy: + loewis
messages: + msg77495
versions: + Python 2.7, - Python 2.6, Python 2.5, Python 2.4, Python 2.5.3
2008-10-28 17:16:45exarkuncreate